% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/shiny.R
\name{fixVis}
\alias{fixVis}
\title{Make publication-ready plots}
\usage{
fixVis(.plot = NA)
}
\arguments{
\item{.plot}{A ggplot2 plot.}
}
\description{
The \code{fixVis} is a built-in software tool for the manipulation
of plots, such as adjusting title text font and size, axes, and more. It is a powerful
tool designed to produce publication-ready plots with minimal amount of coding.
}
\examples{
\dontrun{
# Compute gene usage, visualise it and tweak via fixVis
data(immdata) # load test data
gu = geneUsage(immdata$data)
p = vis(gu)
fixVis(p)
}
}
