% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/kmers.R
\name{split_to_kmers}
\alias{split_to_kmers}
\alias{kmer_profile}
\title{Kmers processing.}
\usage{
split_to_kmers(.data, .k)

kmer_profile(.data, .method = c("freq", "prob", "wei", "self"), .remove.stop = T)
}
\arguments{
\item{.data}{Character vector or the output from \code{getKmers}.}

\item{.k}{Integer. Size of kmers.}

\item{.method}{Character vector of length one. If "freq" then return a position frequency matrix (PFM) -
a matrix with occurences of each amino acid in each position.

If "prob" then return a position probability matrix (PPM) - a matrix with probabilities of occurences of
each amino acid in each position. This is a traditional representation of sequence motifs.

If "wei" then return a position weight matrix (PWM) - a matrix with log likelihoods of PPM elements.

If "self" then return a matrix with self-information of elements in PWM.

For more information see https://en.wikipedia.org/wiki/Position_weight_matrix.}

\item{.remove.stop}{Logical. If TRUE (by default) remove stop codons.}
}
\description{
Kmers processing.
}
